#!/usr/bin/env node
"use strict";
exports.__esModule = true;
var path = require("path");
var execute = require("cross-spawn");
var pm2Config = require("../pm2.config");
var port = pm2Config.serveUIStatic.env.PM2_SERVE_PORT;
var logFiles = {
    ui: path.join(__dirname, '..', pm2Config.serveUIStatic.cwd || '', pm2Config.serveUIStatic.log),
    server: path.join(__dirname, '..', pm2Config.runServer.cwd || '', pm2Config.runServer.log)
};
var startCommand = ['run', 'prod'];
var programm = 'npmfrog';
var firstArg = process.argv[2];
var allowedCliCommands = ['stop', 'logs'];
var command = allowedCliCommands.indexOf(firstArg) > -1 ? ['run', firstArg] : startCommand;
var run = execute("npm", command, { cwd: __dirname, env: process.env });
run.stdout.on('data', function (data) {
    console.log(data.toString());
});
run.stderr.on('data', function (data) {
    console.error(data.toString());
});
run.on('exit', function (code) {
    if (code === 0) {
        if (command === startCommand) {
            console.log("Running npmFrog in background on http://localhost:" + port);
            console.log("To stop npmFrog, run `" + programm + " stop`");
            console.log("Logs can be found in " + logFiles.server + " and " + logFiles.ui + " .\n        Or run `npmfrog logs` to get all live logs.");
        }
        else if (command[1] === 'stop') {
            console.log("Stopped npmFrog.");
        }
    }
});
